From: Galadrial<BR>
Date: 14 March 2000<P>

Hi Folks---<BR>
<BR>
        And no---I haven't lost my mind---what little of it I may have. I wrote "no time..." this morning with my morning coffee. I veered slightly from "romantic love" and trust that I shant annoy the Blender Keeper overly. If the Poetry Police get wind of this, I will no doubt get keel hauled---but I offer no apology for the work.<BR>
<BR>
       Like a perfect cup of java, a fine truffle, or the most delicate croissant, it was just what I needed at the<BR>
 moment. Now back to real life...<BR>
<BR>
<BR>
                                     Galadrial, the not so elven today
<HR>
From: Galadrial<BR>
Date: 14 March 2000<P>

Oh and BTW Madi----<BR>
<BR>
      Thank you---I think. Poet Wench used to deal with the lusty stuff---allowing Gala to do the-trailing-wisps-of- gossamer, tiptoe-through-the-toad-stool-pieces. Gala isn't gone---but right now, the Wench is calling the shots---and maybe locked the poor silly bitch in a closet. Fear not---elves come complete with a lock picking kit---Gala will emerge again when she's ready...<BR>
<BR>
                                    
<HR>
From: Gala<BR>
Date: 14 March 2000<P>

I swore I wouldn't do this...But Mojave---you rock...no apologies required....<BR>
<BR>
<BR>
                                Galadrial
<HR>
From: Misti<BR>
Date: 14 March 2000<P>

A note on *Barbie and Ken, a Dialogue*:<BR>
When I was a kid, I loved to play with my Barbie dolls. Most of my friends were content to just change the dolls' clothes and style their hair, but I always created these elaborate, schizophrenic soap operas with my dolls. Now whenever I'm talking to my sister about whatever guy I'm dating, we'll laugh and compare conversations I have with real men to conversations I made my dolls have when I was younger. There's usually not much difference.<BR>
   If love is a battlefield, like that Pat Benatar song claims, a highly developed sense of humor is my uzi. Never leave home without it.
<HR>
From: mojave ([email-masked])<BR>
Date: 14 March 2000<P>

Misti:<BR>
<BR>
'Barbie and Ken'--inspired! Had me laughing like hell--which I NEEDED... Thanks!<BR>
<BR>
mojave
<HR>
From: Misti<BR>
Date: 14 March 2000<P>

Mojave,<BR>
   Thank GOD!!! I was scared the next time I came to the Board I'd find a comment from someone saying something like,"Misti, I've got this number you might want to call...1-800-GET-SANE." Ha! If you got somethin' from it, that's good enough for me!
<HR>
From: deevaa [[email-masked]]<BR>
Date: 14 March 2000<P>

&lt;dashes in between meetings&gt; -- oh man my life has been INSANE, but I just spent an hour at new subs over a mocha and called it lunch... the blender = food for my soul.<BR>
<BR>
Riggs -- come here my Aussie sweetheart (((Riggs & dee)))<BR>
<BR>
Gala -- 'No time for pretty' ... &lt;shivers&gt; "I am quicksilver fire beneath your fingers, I am Salome dancing to your tune" ohhhhhh yummy!!!<BR>
'Erotic Imagining' I'd love to post that with one of my paintings - you know which one.<BR>
<BR>
Misti -- I've got this phone number... &lt;grin&gt;<BR>
<BR>
Megs -- 'Silly thought' made me giggle, and as for 'Afternoon nap' ohhhhhhhhhhhhh &lt;gasp&gt;<BR>
<BR>
guppy, babe 'Jake and Jill' -- Misti had this phone number &lt;cheeky grin&gt;<BR>
<BR>
Mojave 'Tell me' YUM!<BR>
<BR>
Thanks for all the nice stuff about 'mountain' and '11.38am' I'm trying not to count down the days (8) but I simply can't WAIT!!<BR>
<BR>
Take care of your hearts<BR>
<BR>
dee<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>

<HR>
From: deevaa<BR>
Date: 14 March 2000<P>

Kev -- your new one... &lt;gasps&gt; WOW! <BR>
LOVE it!!
<HR>